Subject: Re: [PATCH v3 00/11] reftable: optimize write performance

From: Junio C Hamano <[email-masked]>
Date: Mon, 08 Apr 2024 17:09:13 -0700

Patrick Steinhardt <[email-masked]> writes:

> this is the first version of my patch series that aims to optimize write
> performance with the reftable backend.
>
> Changes compared to v2:
>
>     - The series now deepends on ps/reftable-binsearch-update at
>       d51d8cc368 (reftable/block: avoid decoding keys when searching
>       restart points, 2024-04-03). This is to resolve a merge conflict
>       with that other series which has landed in "next" already.
>
>     - Dropped the "reftable_" prefix from newly introduced internal
>       reftable functions.

Well, since I resolved the conflict and my rerere database already
knows the resolution, you did not have to do the rebasing yourself.
After undoing the rebase and recreating the merge of this topic into
'seen', i.e. db20edbf (Merge branch 'ps/reftable-write-optim' into
jch, 2024-04-05), the difference I see between the previous version
and this iteration I see are the following.  Please tell me if that
is the only change you are expecting, and please yell at me if that
is not the case---it would serve as a sanity check of my previous
conflict resolution that will also be applied going forward.

Thanks, queued.

diff --git a/reftable/writer.c b/reftable/writer.c
index 32438e49b4..10eccaaa07 100644
--- a/reftable/writer.c
+++ b/reftable/writer.c
@@ -149,7 +149,7 @@ void reftable_writer_set_limits(struct reftable_writer *w, uint64_t min,
 	w->max_update_index = max;
 }
 
-static void reftable_writer_release(struct reftable_writer *w)
+static void writer_release(struct reftable_writer *w)
 {
 	if (w) {
 		reftable_free(w->block);
@@ -163,7 +163,7 @@ static void reftable_writer_release(struct reftable_writer *w)
 
 void reftable_writer_free(struct reftable_writer *w)
 {
-	reftable_writer_release(w);
+	writer_release(w);
 	reftable_free(w);
 }
 
@@ -653,7 +653,7 @@ int reftable_writer_close(struct reftable_writer *w)
 	}
 
 done:
-	reftable_writer_release(w);
+	writer_release(w);
 	return err;
 }